GET
/v1/agent/conversations/{id}
Get Conversation
curl https://api.{cluster}.{platform}.voiger.io/v1/agent/conversations/{id} \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/agent/conversations/{id}", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
id
string
required
in path
json · 200
{
"conversation": {
"id": "f108702c-05e4-48ee-9398-b1cebdcb566b",
"tags": [
{
"tag_id": "3f1c0a7e-9b24-4f1a-8c55-2d6e7a9f0b31",
"actor": {
"type": "agent",
"reference_id": "6feb3aa5-e6d0-4931-aadd-5edd828bdb95"
},
"created_at": "2025-10-23T08:12:20.921558Z"
}
],
"type": "direct",
"created_at": "2025-10-23T08:12:20.921558Z",
"updated_at": "2025-10-23T08:12:20.921558Z",
"participants": [
{
"id": "4bf20c21-717f-4e76-a1fb-bdb1cf174b82",
"type": "admin",
"reference_id": "947f731b-d361-4c23-8872-88a7b15c13f5"
},
{
"id": "6a0f1fae-0d73-4e24-a018-aea09c396cb7",
"type": "agent",
"reference_id": "6feb3aa5-e6d0-4931-aadd-5edd828bdb95"
}
]
}
}